/*
	$Header: /home/fujiwara/.cvsroot/tcpd/clean_request.c,v 1.6 1997/12/17 16:22:41 fujiwara Exp $
 */

#include <stdio.h>
#include <unistd.h>
#include <stdarg.h>
#include <errno.h>
#include <ctype.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <syslog.h>

#include <tcpd.h>

void clean_request(struct request_info *req)
{
	if (req->udp) {
		union tcpd_sock_union sa;
		int len = sizeof sa;
		char buf[BUFSIZ];
		(void)recvfrom(req->sock, buf, sizeof buf, 0, (struct sockaddr *)&sa, &len);
	}
}

void clean_exit(struct request_info *req)
{
	clean_request(req);
	if (!req->udp)
		sleep(req->refuse_wait);
	exit(0);
}

