/*
 $Header: /home/fujiwara/.cvsroot/tcpd/tcpd_satostr.c,v 1.4 2000/02/20 19:49:01 fujiwara Exp $

 socket addr to STRING
 */
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <string.h>
#include <tcpd.h>

/* should be getnameinfo() */

void tcpd_satostr(char *str, int len, union tcpd_sock_union *sa)
{
	switch(sa->sa4.sin_family) {
	case AF_INET:
		inet_ntop(AF_INET, &sa->sa4.sin_addr, str, len);
		break;
#ifdef INET6
	case AF_INET6:
		inet_ntop(AF_INET6, &sa->sa6.sin6_addr, str, len);
		break;
#endif
	case AF_UNSPEC:
		strcpy(str, "AF=ANY");
		break;
	default:
		sprintf(str, "AF=%d", sa->sa4.sin_family);
		break;
	}
}

